<div class="gmail_quote">On Thu, Feb 9, 2012 at 6:57 PM, Thomas Tuegel <span dir="ltr">&lt;<a href="mailto:ttuegel@gmail.com">ttuegel@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div class="HOEnZb"><div class="h5">You need Cabal 1.12 for &#39;--enable-library-coverage&#39;. The only place</div></div>
it&#39;s documented is in &#39;cabal configure --help&#39; (a major oversight on<br>
my part). The online docs for Cabal are only from version 1.10 anyway,<br>
so that wouldn&#39;t have helped.<br>
<br>
I&#39;m sorry for your struggles getting the detailed type to work. It&#39;s a<br>
known issue: the detailed test interface is intentionally disabled in<br>
all the released versions because it&#39;s going to change. That&#39;s why<br>
none of the test libraries support it yet and why you weren&#39;t able to<br>
get it to work.<br>
<span class="HOEnZb"><font color="#888888"><br></font></span></blockquote><div><br></div><div>No problem - I was just wondering where my error lay. The stdio tests do the trick for the time being.</div><div><br></div><div>
- Chris</div></div><br>